Bug 1256880 - [RFE] Supported Amazon S3 object access
[RFE] Supported Amazon S3 object access
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vivek Agarwal
SATHEESARAN
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 12:06 EDT by Miguel Perez Colino
Modified: 2016-02-17 19:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 05:44:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miguel Perez Colino 2015-08-25 12:06:02 EDT
1. Proposed title of this feature request
Supported Amazon S3 object access

2. Who is the customer behind the request?
Account name: BBVA
TAM/SRM customer: no/yes
Strategic Customer: yes

3. What is the nature and description of the request?
Customer would like to access objects in Amazon and RHGS using Amazon S3 API

4. Why does the customer need this? (List the business requirements here)
To be able to use one API for object access whether it is to a Public Cloud or to Private Storage

5. How would the customer like to achieve this? (List the functional requirements here)
A suggestion would be by enabling and supporting swift3 
https://github.com/stackforge/swift3

6. For each functional requirement listed in question 5, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
An application accessing objects in Amazon S3 could be tested against RHGS

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

8. Does the customer have any specific timeline dependencies?
They are evaluating the product.

9. Is the sales team involved in this request and do they have any additional input?
Yes

10. List any affected packages or components.
gluster-swift

11. Would the customer be able to assist in testing this functionality if implemented?
TBD
Comment 2 Arun Vasudevan 2015-09-09 05:44:58 EDT
S3 API access is currently not supported in Gluster. This is not in priority list for RHGS.

Closing BZ as per update in https://bugzilla.redhat.com/show_bug.cgi?id=1254581.

Duplicate Bug.

Note You need to log in before you can comment on or make changes to this bug.